Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.management.oss.pm.measurement
Interface PerformanceDataEvent

All Superinterfaces:
  AttributeAccess, java.lang.Cloneable, Event, IRPEvent, java.io.Serializable, SerializerFactory

public interface PerformanceDataEvent
extends IRPEvent

The performance data event defines the payload of the events that contains measurement reports.

The managed object instance field shall be set to the value of `pmKey.getPerformanceMonitorPrimaryKey()` if the event is related to a measurement job with the report mode set to ReportMode.FILE_SINGLE or ReportMode.EVENT_SINGLE. If the event is related to measurement jobs with the report mode set to ReportMode.FILE_MULTIPLE or ReportMode.EVENT_MULTIPLE, the value of the managed object instance field shall be set to the system DN.

The managed object class field shall be set to the value of `pmKey.getType()` if the event is related to a measurement job with the report mode set to ReportMode.FILE_SINGLE or ReportMode.EVENT_SINGLE. If the event is related to measurement jobs with the report mode set to ReportMode.FILE_MULTIPLE or ReportMode.EVENT_MULTIPLE, the value of the managed object class field shall be set to "JVTHome".

Version:
  0.9.1, 2001-11-30
Author:
  Stefan Aberg
See Also:
  `PerformanceDataEventDescriptor`

Field Summary
`static java.lang.String` | `REPORT` Constant for attribute measurement report.
`static java.lang.String` | `REPORT_FORMAT` Constant for attribute measurement key.

Fields inherited from interface com.sun.management.oss.util.IRPEvent
`APPLICATION_DN, EVENT_TIME, MANAGED_OBJECT_CLASS, MANAGED_OBJECT_INSTANCE, NOTIFICATION_ID`

Method Summary
`java.lang.Object` | `getPerformanceMonitorReport()` Gets the measurement report.
`ReportFormat` | `getReportFormat()` Gets the measurement report format.
`ReportFormat` | `makeReportFormat()` Creates a new instance of the `ReportFormat` interface.
`void` | `setPerformanceMonitorReport(java.lang.Object report)` Sets the measurement report.
`void` | `setReportFormat(ReportFormat format)` Sets the report format of the measurement report.

Methods inherited from interface com.sun.management.oss.util.IRPEvent
`getManagedObjectClass, getManagedObjectInstance, getNotificationId, setManagedObjectClass, setManagedObjectInstance, setNotificationId`

Methods inherited from interface com.sun.management.oss.Event
`clone, getApplicationDN, getEventTime, setApplicationDN, setEventTime`

Methods inherited from interface com.sun.management.oss.SerializerFactory
`getSupportedSerializerTypes, makeSerializer`

Methods inherited from interface com.sun.management.oss.AttributeAccess
`getAllPopulatedAttributes, getAttributeNames, getAttributeValue, getAttributeValues, getPopulatedAttributeNames, getSupportedOptionalAttributeNames, isFullyPopulated, isPopulated, setAttributeValue, setAttributeValues, unpopulateAllAttributes, unpopulateAttribute`

Field Detail

### REPORT

    public static final java.lang.String REPORT

  Constant for attribute measurement report.

  See Also:
    Constant Field Values

### REPORT_FORMAT

    public static final java.lang.String REPORT_FORMAT

  Constant for attribute measurement key.

  See Also:
    Constant Field Values

Method Detail

### getPerformanceMonitorReport

    public java.lang.Object getPerformanceMonitorReport()
                                                 throws java.lang.IllegalStateException

  Gets the measurement report.

  If the measurement result is in XML format a String object will be returned.

  Returns:
    Object The measurement result.
  Throws:
    `java.lang.IllegalStateException` - Is thrown if the attribute is supported, and the attribute has not been populated.
  See Also:
    `setPerformanceMonitorReport(java.lang.Object)`

### setPerformanceMonitorReport

    public void setPerformanceMonitorReport(java.lang.Object report)
                                     throws java.lang.IllegalArgumentException

  Sets the measurement report.

  If the measurement report is in XML format a String object will be provided.

  Parameters:
    `report` - The measurement report object.
  Throws:
    `java.lang.IllegalArgumentException` - Is thrown to report that a bad argument was provided to the method.
  See Also:
    `getPerformanceMonitorReport()`

### getReportFormat

    public ReportFormat getReportFormat()
                                 throws java.lang.IllegalStateException

  Gets the measurement report format.

  Returns:
    ReportFormat The measurement report format.
  Throws:
    `java.lang.IllegalStateException` - Is thrown if the attribute is supported, and the attribute has not been populated.
  See Also:
    `setReportFormat(com.sun.management.oss.pm.measurement.ReportFormat)`

### setReportFormat

    public void setReportFormat(ReportFormat format)
                         throws java.lang.IllegalArgumentException

  Sets the report format of the measurement report.

  The supporting report format can be retrieved by using the PerformanceMonitorMethods.getReportFormats().

  Parameters:
    `format` - The report format of the measurement report.
  Throws:
    `java.lang.IllegalArgumentException` - Is thrown to report that a bad argument was provided to the method.
  See Also:
    `getReportFormat()`

### makeReportFormat

    public ReportFormat makeReportFormat()

  Creates a new instance of the `ReportFormat` interface.

  Returns:
    ReportFormat The created object. The object is empty.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD